| NUC472_NUC442_BSP V3.04.000 The Board Support Package for NUC472/NUC442

Functions
EBI Exported Functions
NUC472/NUC442 Device Driver » EBI Driver » EBI Exported Constants
Collaboration diagram for EBI Exported Functions:

## Functions
void | EBI_Open (uint32_t u32Bank, uint32_t u32DataWidth, uint32_t u32TimingClass, uint32_t u32BusMode, uint32_t u32CSActiveLevel)
| Initialize EBI for Bank 0~3. More...
void | EBI_Close (uint32_t u32Bank)
| Disable EBI for bank 0~3. More...
void | EBI_SetBusTiming (uint32_t u32Bank, uint32_t u32TimingConfig, uint32_t u32MclkDiv)
| Set EBI bus timings. More...
void | EBI_EnableCrypto (uint32_t u32Bank, uint32_t *u32Key)
| Enable encrypt/decrypt function and set key for EBI bank 0~3. More...
void | EBI_DisbleCrypto (uint32_t u32Bank)
| Disable encrypt/decrypt function for EBI bank 0~3. More...

## Detailed Description

## Function Documentation

## ◆ EBI_Close()

void EBI_Close | ( | uint32_t | u32Bank | ) |

Disable EBI for bank 0~3.

Parameters

  [in] | u32Bank | Bank number for EBI. Valid values are: EBI_BANK0 EBI_BANK1 EBI_BANK2 EBI_BANK3

Returns
  none

Definition at line 153 of file ebi.c.

## ◆ EBI_DisbleCrypto()

void EBI_DisbleCrypto | ( | uint32_t | u32Bank | ) |

Disable encrypt/decrypt function for EBI bank 0~3.

Parameters

  [in] | u32Bank | Bank number for EBI. Valid values are: EBI_BANK0 EBI_BANK1 EBI_BANK2 EBI_BANK3

Returns
  none

Definition at line 225 of file ebi.c.

## ◆ EBI_EnableCrypto()

void EBI_EnableCrypto | ( | uint32_t | u32Bank,
|  | uint32_t * | u32Key
| ) |  |

Enable encrypt/decrypt function and set key for EBI bank 0~3.

Parameters

  [in] | u32Bank | Bank number for EBI. Valid values are: EBI_BANK0 EBI_BANK1 EBI_BANK2 EBI_BANK3
  [in] | *u32Key | 128-bits encrypt/decrypt key array.

Returns
  none

Definition at line 191 of file ebi.c.

## ◆ EBI_Open()

void EBI_Open | ( | uint32_t | u32Bank,
|  | uint32_t | u32DataWidth,
|  | uint32_t | u32TimingClass,
|  | uint32_t | u32BusMode,
|  | uint32_t | u32CSActiveLevel
| ) |  |

Initialize EBI for Bank 0~3.

Parameters

  [in] | u32Bank | Bank number for EBI. Valid values are: EBI_BANK0 EBI_BANK1 EBI_BANK2 EBI_BANK3
  [in] | u32DataWidth | Data bus width. Valid values are: EBI_BUSWIDTH_8BIT EBI_BUSWIDTH_16BIT
  [in] | u32TimingClass | Default timing configuration. Valid values are: EBI_TIMING_FASTEST EBI_TIMING_VERYFAST EBI_TIMING_FAST EBI_TIMING_NORMAL EBI_TIMING_SLOW EBI_TIMING_VERYSLOW EBI_TIMING_SLOWEST
  [in] | u32BusMode | Enable EBI separate mode. Valid values are: EBI_SEPARATEMODE_ENABLE EBI_SEPARATEMODE_DISABLE
  [in] | u32CSActiveLevel | CS is active High/Low. Valid values are: EBI_CS_ACTIVE_HIGH EBI_CS_ACTIVE_LOW

Returns
  none

Definition at line 54 of file ebi.c.

## ◆ EBI_SetBusTiming()

void EBI_SetBusTiming | ( | uint32_t | u32Bank,
|  | uint32_t | u32TimingConfig,
|  | uint32_t | u32MclkDiv
| ) |  |

Set EBI bus timings.

Parameters

  [in] | u32Bank | Bank number for EBI. Valid values are: EBI_BANK0 EBI_BANK1 EBI_BANK2 EBI_BANK3
  [in] | u32TimingConfig | The new EBI timing settings.
  [in] | u32MclkDiv | Divider for MCLK. Valid values are: EBI_MCLKDIV_1 EBI_MCLKDIV_2 EBI_MCLKDIV_4 EBI_MCLKDIV_8 EBI_MCLKDIV_16 EBI_MCLKDIV_32

Returns
  none

Definition at line 175 of file ebi.c.